from otree.api import Currency as c, currency_range
from ._builtin import Page, WaitPage
from .models import Constants


class Decision(Page):
    form_model = "player"
    form_fields = ["has_defected"]


class ResultsWaitPage(WaitPage):
    def after_all_players_arrive(self):
        player1,player2 = self.group.get_players()
        if player1.has_defected:
            if player2.has_defected:
                player1.payoff = Constants.payoff_both_defect
                player2.payoff = Constants.payoff_both_defect
            else:
                player1.payoff = Constants.payoff_different_defect
                player2.payoff = Constants.payoff_different_cooperate
        else:
            if player2.has_defected:
                player1.payoff = Constants.payoff_different_cooperate
                player2.payoff = Constants.payoff_different_defect
            else:
                player1.payoff = Constants.payoff_both_cooperate
                player2.payoff = Constants.payoff_both_cooperate

class Results(Page):
    pass


page_sequence = [Decision, ResultsWaitPage, Results]
